kompendium
2.0.1

# SimpleSchema

data class SimpleSchema (type: String , default: Any ?, description: String ?, nullable: Boolean ?, minLength: Int ?, maxLength: Int ?, pattern: String ?, format: String ?) : TypedSchema
Content copied to clipboard

## Functions

addDefault
Link copied to clipboard
open fun addDefault (default: Any ?): ComponentSchema
Content copied to clipboard
setDescription
Link copied to clipboard
open fun setDescription (description: String ): ComponentSchema
Content copied to clipboard

## Properties

default
Link copied to clipboard
open override val default : Any ? = null
Content copied to clipboard
description
Link copied to clipboard
open override val description : String ? = null
Content copied to clipboard
format
Link copied to clipboard
val format : String ? = null
Content copied to clipboard
maxLength
Link copied to clipboard
val maxLength : Int ? = null
Content copied to clipboard
minLength
Link copied to clipboard
val minLength : Int ? = null
Content copied to clipboard
nullable
Link copied to clipboard
open override val nullable : Boolean ? = null
Content copied to clipboard
pattern
Link copied to clipboard
val pattern : String ? = null
Content copied to clipboard
type
Link copied to clipboard
open override val type : String
Content copied to clipboard